<template>
  <el-dialog :title="title" :close-on-click-modal="false" :visible.sync="open" width="700px" append-to-body>
    <el-form ref="form" :model="form" :rules="rules" label-width="80px">
      <el-form-item label="用户编号" prop="usercode">
        <el-autocomplete
          class="inline-input"
          v-model="form.usercode"
          :fetch-suggestions="querySearch"
          placeholder="请输入内容"
          @select="handleSelect"
        ></el-autocomplete>
      </el-form-item>
      <el-form-item label="昵称" v-if="info.nickname">
        {{ info.nickname }} 【{{ info.usercode }}】
      </el-form-item>
      <el-form-item label="头像" v-if="info.avatar">
        <image-avatar :src="info.avatar"/>
      </el-form-item>
      <el-form-item label="动态图" prop="dynamicImages">
        <image-upload2 v-model="form.dynamicImages" :limit="3"/>
      </el-form-item>
      <el-form-item label="内容" prop="content">
        <el-input v-model="form.content" type="textarea" :rows="2"/>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button :loading="buttonLoading" type="primary" @click="submitForm">确 定</el-button>
      <el-button @click="open = false">取 消</el-button>
    </div>
  </el-dialog>
</template>

<script>
import { addBanner, getBanner, updateBanner } from '@/api/xq/banner'
import { enableStatusList } from '@/constant/statusMap'
import { getUserByUsercode, listUserByUserCode } from '@/api/xq/user'
import { addDynamic } from '@/api/xq/dynamic'

export default {
  components: {
  },
  data () {
    return {
      enableStatusList,
      open: false,
      title: '',
      form:{
        usercode: undefined,
        dynamicImages: undefined,
        content: undefined,
      },
      info:{},
      // 表单校验
      rules: {
        usercode: [
          { required: true, message: "数据不能为空", trigger: "blur" }
        ],
        dynamicImages: [
          { required: true, message: "数据不能为空", trigger: "blur" }
        ],
        content: [
          { required: true, message: "数据不能为空", trigger: "blur" }
        ],
      },
      buttonLoading: false,
    }
  },
  created() {
  },
  methods: {
    init () {
      this.title = "新增动态";
      this.open = true;
      this.$nextTick(() => {
        this.$refs['form'].resetFields();
      })
    },
    querySearch(querySearch,cb){
      listUserByUserCode(querySearch).then(res => {
        cb(res.data.map((terminal) => {
          return {
            value: terminal,
            name: terminal,
          };
        }))
      })
    },
    handleSelect(item){
      getUserByUsercode(item.value).then(res => {
        this.info = res.data
      })
    },
    // 表单提交
    submitForm () {
      this.$refs['form'].validate((valid) => {
        if (valid) {
          this.buttonLoading = true;
          addDynamic(this.form).then(data => {
            this.$modal.msgSuccess("修改成功");
            this.$modal.buttonLoading = false;
            this.open = false
            this.$emit('refreshDataList')
          }).finally(() => {
            this.buttonLoading = false;
          });
        }
      })
    },
  }
}
</script>
